Bug 168932 - Fails to start, traceback on terminal
Fails to start, traceback on terminal
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-21 09:37 EDT by Keith Sharp
Modified: 2014-03-16 22:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.0.32-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-27 10:15:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith Sharp 2005-09-21 09:37:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Epiphany/1.6.5

Description of problem:
on a fresh rawhide install into a VMWare VM I get tracebacks when trying to run system-config-display from a terminal.  I also got the same failure and traceback during firstboot.  Output from the terminal:

[root@rawhide ~]# system-config-display
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 377, in ?
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig,
rhpl.videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 552, in
__init__
    if card.driver[0:5] == "Card:":
TypeError: unsubscriptable object
[root@rawhide ~]#

Jeff Spaleta also reports the same problem on actual hardware:

https://www.redhat.com/archives/fedora-test-list/2005-September/msg00282.html

Version-Release number of selected component (if applicable):
1.0.31-1

How reproducible:
Always

Steps to Reproduce:
1. Login as root
2. Open gnome-terminal from menu
3. Run system-config-display command
  

Actual Results:  Get the traceback mentioned above.

Expected Results:  Application should run!

Additional info:
Comment 1 Bill Nottingham 2005-09-21 12:53:03 EDT
I broke it, I might as well fix it. Investigating.
Comment 2 Bill Nottingham 2005-09-21 13:37:02 EDT
Fixed in 1.0.32-1.
Comment 3 Jef Spaleta 2005-09-24 15:18:11 EDT
Re-opening... the error message has changed..but it still looks related.
system-config-display-1.0.32-1

Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 376, in ?
    import xConfigDialog
ImportError: No module named xConfigDialog
Comment 4 Bill Nottingham 2005-09-26 12:25:35 EDT
How are you running it in this case? From a text terminal, a X terminal, or from
the menu?
Comment 5 Peter Jones 2005-09-27 10:15:27 EDT
This should be fixed in rawhide with python-2.4.1-13

Note You need to log in before you can comment on or make changes to this bug.